A project member has no access and gets no notification, when being a watcher of the issue
Description

Hi, I have an issue, where not other help was effective (public help, wiki, forum).

In Redmine 3.2.2 (Czech localization) I have problem using watchers functionality and notifying them when an issue changes.

We have a non-public project called "Ukoly" and a role called "Zadavatel".

User "milanb" (me) created a task asigned to himself and added a watcher (user "londruj").

User "londruj" is a member of "Ukoly" with a role "Zadavatel" - see screenshot1.png attached.

Role "Zadavatel" has all available Redmine rights - see screenshot2.png.

Notification for the user "londruj" is set.

When the issues changes, the user "londruj" does not get any notification.

When accessing the give issues using a direct link, the user "londruj" gets 403 error.

Related issues:

Related to Redmine - Patch #16133: Available watchers on new issue form inclu... Closed

Related to Redmine - Feature #13512: Add a way to make specific issues visibl... Closed

Related to Redmine - Feature #8488: Create an 'Involve' mechanism to private ... New

Related to Redmine - Patch #33329: Improve watchers functionality to mark the... Closed

History

#1 - 2016-06-14 14:51 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #21260.

#3 - 2016-06-14 15:15 - Milan Brabec

- Status changed from Closed to Reopened

Hi Toshi, I am sorry for reopening this issue, but the problem I have described, is not the same as in #21260. It covers two problems in fact:

1) I am happy, that I can add a user as a watcher, even if such a user is not a member of that project. The problem is, that such a user gets no

notification then.

2) Even if I add a user, who IS a member of that project, as a watcher, such a user still can not see the issue and gets no notification either.

Thanks for understanding.

Milan

#5 - 2016-06-14 16:10 - Toshi MARUYAMA

- Status changed from Reopened to Closed

- Resolution changed from Duplicate to Invalid

Please use forum for question.

#6 - 2016-06-14 17:59 - Milan Brabec

Believe me, I have tried forum and help before creating this issue. I have also tested all possible configuration options. However, without any success.

I still do not understand, what is it good for to give someone a chance to be a watcher, when his role gives no permission to a given issue.

1. It is not the same problem as in #21260, because I am talking about a user, who IS a member of the project.

2. It is much more like patch #16133, which I agree with (The proposed watchers on the new issue form should be able to at least view issues.

Otherwise it would not make sense to add them as watchers.)
And I also add here: Even if the watcher IS member of the project!?!

1. It might by more like feature #13512, but I would not say it is a feature request, because the feature 'to add a watcher' is already there, but the

watcher may not see the watched issue, until having a role permission, which gives him an access to that issue anyway.

2. Patch #14318 could be the right solution, but it does not make a sense completely to me to use new role permission for this, as a watcher should

watch (read) the issue only not depending on his roles in project.

Thanks for understanding.

#7 - 2016-06-15 04:08 - Toshi MARUYAMA

- Category changed from Issues permissions to Email notifications

- Status changed from Closed to New

- Resolution deleted (Invalid)

#8 - 2016-06-15 09:37 - Wim DePreter

User "londruj" can only see "Issues created or assigned to user", so being watcher of the issue doesn't give him access (and if user can't access

issue, he doesn't get email, so behaviour of Redmine seems OK).

Maybe related to #8488?

See also Go MAEDA's comment in #8488#note-159:

The following is Jean-Phillippe Lang's comment from #7412#note-13:

watchers were designed for notification purpose only. A user who unwatches a private issue would lost access to it. It may be quite

confusing for many users.

 

#9 - 2016-06-15 11:57 - Milan Brabec

Thanks a lot for commenting on that, I am aware of the fact, that watching does not give access to an issue. The problem in our situation is, that the

user gets no notification email at all. Moreover, what sense does it make to be a watcher, when you can not watch? :-)

I have also read the #8488 and we will probably try the allow_watchers_and_contributers_access_to_issues_3.2.0 patch as soon as we find out, how

to do it properly. Thanks again.

#11 - 2016-07-12 16:16 - Toshi MARUYAMA

- Related to Patch #16133: Available watchers on new issue form include users who cannot even view issues added

#12 - 2016-07-12 16:17 - Toshi MARUYAMA

- Related to Feature #13512: Add a way to make specific issues visible to a user added

#13 - 2016-07-12 16:18 - Toshi MARUYAMA

- Related to Feature #8488: Create an 'Involve' mechanism to private issues added

#14 - 2016-11-28 10:36 - Milan Brabec

Hi again, I have double-checked this behaviour in version 3.3.1 too. Is it a chance to confirm this issue? Thanks.

#15 - 2018-01-24 09:42 - Joaquim Homrighausen

I still think SEEING the issue and being NOTIFIED on issue updates are two completely separate things. Being able to add the issue creator (via

e-mail) as a watcher for him/her to receive notifications that something has changed/happened on the issue that he/she reported is quite vital.

Whether or not he/she should be able to see the issue is a separate matter.

#16 - 2018-01-24 09:50 - Milan Brabec

Well, I see the difference between SEE and BE NOTIFIED, no doubt. What is the expected behaviour? To see (might be expected, when the verb

WATCH was used), or get notified?

#17 - 2018-05-19 16:38 - Lara R

Milan Brabec wrote:

Well, I see the difference between SEE and BE NOTIFIED, no doubt. What is the expected behaviour? To see (might be expected, when the

verb WATCH was used), or get notified?
 Hi Milan,

I am experiencing the same problem with watchers that you reported some time ago. Did you manage to make watchers be able to see the issues?.I

found the allow_watchers_and_contributers_access_to_issues_3.2.0 patch but could not be able to install it.

Did you find out how to do it?

Thanks in advance.

#18 - 2018-05-21 10:45 - Milan Brabec

Hi Lara, I have succeeded with following patch:

23546-watched_or_created_or_assigned_issue_visibility.patch

Using this one, the watchers have access to watched issues, but certain setup is required after applying the patch.

I have created a new role "Watcher" with some explicit permissions for issues (like view issues, add/edit comments) and used "Issues watched by,

created by or assigned to the user" in visibility section.

#19 - 2020-04-20 16:27 - Marius BĂLTEANU

- Related to Patch #33329: Improve watchers functionality to mark the users that are watching a non visible object and to not return watchers that

cannot see the object added
